#!/usr/koeki/bin/ruby
#-*-coding: utf-8-*-
jyanru=["絵本","ファンタジー","推理小説","漫画"]
hon=["100かいだての家シリーズ","ドリトル先生シリーズ","アガサクリスティシリーズ","手塚治虫作品"]
puts"あなたが読んでみたい本のジャンルはどれ?"
     puts"絵本?ファンタジー?推理小説?漫画?"
gets
printf("%sのオススメは%sだよ。\n",jyanru[0],hon[0])
puts"「100かいだでの家シリーズ」"
puts"色んな生き物が出てきて細かい部分までかわいいよ!"
#<%=image_tag'mori.png'%>
spawn"display -geometry +1 +1 100.png"
sleep(1)
spawn"display -geometry +2 +2 thika.png"
sleep(2)
spawn"display -geometry +3 +3 umi.png"
sleep(3)
spawn"display -geometry +4 +4 sora.png"
sleep(4)
spawn"display -geometry +5 +5 mori.png"
sleep(5)
spawn"display -geometry +6 +6 numa.png"
gets
printf("%sのオススメは%sだよ。\n",jyanru[1],hon[1])
puts"ドリトル先生は動物の言葉が話せるよ!"
puts"この本がいつ書かれたか知っているかな?"
puts"1:1920年"
puts"2:2020年"
while true
  puts"どちらでしょうか?"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"ピンポーン正解"
    puts"100年前だよ"
    break
  elsif kotae==2
    puts"ブブー不正解"
    break
  end
end
gets
puts"【ファンタジーのおまけ】"
puts"ハリーポッターシリーズもおもしろいよ!"
gets
printf("%sのオススメは%sだよ。\n",jyanru[2],hon[2])
puts"「ABC殺人事件」や「オリエント急行殺人事件」で、エスキュールポアロさんが活躍するよ!"
gets
puts"【推理小説のおまけ】"
puts"江戸川乱歩もおもしろいよ!"
puts"私が好きな画家は佐竹美保さんも挿絵を描いているよ"
puts"彼女が挿絵を描いている作品は他にもたくさんあるよ!"
puts"例えば"
#作者、タイトル、出版社をCSVファイルにして表示したい。
gets
printf("%sのオススメは%sだよ。\n",jyanru[3],hon[3])
taitoru=["火の鳥","ブラックジャック","ブッタ","リボンの騎士"]
tokutyou=["未完成の作品と言われている","短編集","成長物語","ハッピーエンド"]
printf("%sの特徴は%sことだよ。\n",taitoru[0],tokutyou[0])
printf("%sは%sだよ。\n",taitoru[1],tokutyou[1])
#spawn"display -geometry +7 +7 hinotori.png"
printf("%sは%sだよ。\n",taitoru[2],tokutyou[2])
#spawn"display -geometry +8 +8 burakku.png"
printf("%sは%sだよ。\n",taitoru[3],tokutyou[3])
gets
puts"読みたい本はあったかな?"
puts"気になった本があったら図書館にレッツゴー!"


